# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Expand template text with embedded perl
Name:		perl-Text-Template
Version:	1.46
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Text-Template/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MJ/MJD/Text-Template-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(lib)
BuildRequires:	perl(Safe)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Text::Template is a library for generating form letters, building HTML pages,
or filling in templates generally.  A `template' is a piece of text that
has little Perl programs embedded in it here and there.  When you
`fill in' a template, you evaluate the little programs and replace
them with their values.

%prep
%setup -q -n Text-Template-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING Artistic
%{perl_vendorlib}/Text/
%{_mandir}/man3/Text::Template.3pm*
%{_mandir}/man3/Text::Template::Preprocess.3pm*

%changelog
* Mon Feb 11 2013 Paul Howarth <paul@city-fan.org> 1.46-1
- Update to 1.46
  - New method Text::Template->append_text_to_output, which Text::Template
    always uses whenever it wants to emit output; you can subclass this to get
    control over the output, for example for postprocessing
  - A spurious warning is no longer emitted when the TYPE parameter to ->new
    is omitted

* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> 1.45-10
- BR: perl(Exporter), perl(lib) and perl(Safe)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> 1.45-8
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 1.45-6
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 1.45-5
- Fix dist tag for RHEL-6 Beta

* Fri Mar  5 2010 Paul Howarth <paul@city-fan.org> 1.45-4
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Thu Oct  1 2009 Paul Howarth <paul@city-fan.org> 1.45-3
- Define RPM macros in global scope

* Fri Nov 14 2008 Paul Howarth <paul@city-fan.org> 1.45-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Mon Apr 21 2008 Paul Howarth <paul@city-fan.org> 1.45-1
- Update to 1.45
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> 1.44-4
- BuildRequire perl(ExtUtils::MakeMaker)
- Fix dist tag for development builds and Fedora 7 onwards
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Remove buildroot unconditionally in %%clean and %%install
- Use search.cpan.org URLs
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Define %%{__id_u} in a more portable way

* Fri Sep  2 2005 Paul Howarth <paul@city-fan.org> 1.44-3
- Remove redundant arch-specific stuff
- Add note about package being available in Fedora Extras
- Fix directory ownership issues

* Wed May 25 2005 Paul Howarth <paul@city-fan.org> 1.44-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.44-1
- Initial build
